package org.jeecg.modules.ctop.service.impl;

import cn.com.ctop.common.module.utils.CtopAdConstant;
import cn.com.ctop.common.module.utils.StringUtils;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.ctop.mapper.MaterialTopMapper;
import org.jeecg.modules.ctop.service.IMaterialTopService;
import org.jeecg.modules.ctop.vo.MaterialTopVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *  Created by JQ.bi on 2020.05.22
 */
@Service
public class MaterialTopServiceImpl  implements IMaterialTopService {

    @Autowired
    MaterialTopMapper materialTopMapper;
    @Override
    public IPage<MaterialTopVO> selectByPage(String endDate, String startDate, String target, String order, int pageNo, int pageSize) {
        QueryWrapper<MaterialTopVO> wrapper = new QueryWrapper();
        wrapper.ge("stat_date", startDate).le("stat_date", endDate).isNotNull("url");
        target = StringUtils.humpToLine2(target);
        if(order.equals(CtopAdConstant.COMMON_ORDER_TYPE_ASC)){
            wrapper.orderByAsc(target);
        }else{
            wrapper.orderByDesc(target);
        }
        wrapper.groupBy("code");
        Page<MaterialTopVO> page = new Page<>((pageNo-1)*pageSize,pageSize);
        IPage<MaterialTopVO> mapIPage = materialTopMapper.selectMapsPage(page, wrapper);
        return mapIPage;
    }

}
